Package fr.gouv.vitam.storage.engine.server.storagelog.parameters

# Class AccessLogParameters

java.lang.Object
fr.gouv.vitam.storage.engine.server.storagelog.parameters.AccessLogParameters

All Implemented Interfaces:
  `StorageLogStructure`

public class AccessLogParameters extends Object implements StorageLogStructure

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLogParameters(Map<StorageLogbookParameterName,String> mapParameters)`
  Set directly at least all mandatory parameters in the AccessLogParameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryParameters()`
  Check if mandatories parameters are not empty or null
  `Map<StorageLogbookParameterName,String>`
  `getMapParameters()`
  Get the parameters map
  `StorageLogbookOutcome`
  `getStatus()`
  Get the status as an outcome
  `AccessLogParameters`
  `setStatus(StorageLogbookOutcome outcome)`
  set The status of the operation

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessLogParameters

    public AccessLogParameters(Map<StorageLogbookParameterName,String> mapParameters)
    Set directly at least all mandatory parameters in the AccessLogParameters. This constructor checks if all mandatory parameters are set
    Parameters:
      `mapParameters` - The initial parameters (MUST contains mandatory parameters
    Throws:
      `StorageException`

- ## Method Details

  - ### setStatus

    public AccessLogParameters setStatus(StorageLogbookOutcome outcome)
    set The status of the operation
    Parameters:
      `outcome` - the outcome
    Returns:
      the AccessLogParameters after the parameter has been added

  - ### getStatus

    public StorageLogbookOutcome getStatus()
    Get the status as an outcome
    Returns:
      the status as a StorageLogbookOutcome

  - ### checkMandatoryParameters

    public void checkMandatoryParameters() throws IllegalArgumentException
    Check if mandatories parameters are not empty or null
    Throws:
      `IllegalArgumentException` - thrown when one parameter is empty or null

  - ### getMapParameters

    public Map<StorageLogbookParameterName,String> getMapParameters()
    Get the parameters map
    Specified by:
      `getMapParameters` in interface `StorageLogStructure`
    Returns:
      the parameters map